Introduction

Altap Salamander: Plugins: Check Version: Introduction

Getting Started with Check Version Plugin

Check Version allows you to easily check for newer versions of Altap Salamander and plugins. It connects to the ALTAP server on the Internet and gets information about current versions. It can check for new versions automatically (with given period) and on the background (it shows window only if some newer version is available).

See Menu Extension section in Using Plugins for a description of basic work with menu extension.

© 2001-2019 ALTAP. All rights reserved.


Checking For New Versions

Use the Check Version plugin to check for newer versions of Altap Salamander and plugins. It connects to the ALTAP server on the Internet and gets information about current versions.

To check for new versions:

  1. Open the Check For New Versions window:
    Menu: Plugins/Check Version/Check For New Versions...
  2. Click the Check Now button.

See Also

Check For New Versions window

© 2001-2019 ALTAP. All rights reserved.


Check For New Versions window

Altap Salamander: Plugins: Check Version: Dialog Boxes

Check For New Versions

Use this window to check for newer versions of Altap Salamander and plugins. It connects to the ALTAP server on the Internet and gets information about current versions.

Options

Log window
It contains progress of checking for newer versions (after clicking on Check Now button). When all neccessary information are obtained, it shows the list of newer versions. You can click on module name to download its updated version. Or right click on module name to open context menu with all actions with module: download updated version, copy download URL to clipboard, and add this version or all versions of module to Filters (see Filters in the Configuration of Check Version dialog box). Click "show details" or "hide details" labels to show/hide new version details.
Configure
Use this button to open the Configuration of Check Version dialog box.
Check Now
It starts checking for newer versions.

See Also

Checking For New Versions

© 2001-2019 ALTAP. All rights reserved.


Configuration of Check Version dialog box

Altap Salamander: Plugins: Check Version: Dialog Boxes

Configuration of Check Version

You can customize behaviour of the Check Version plugin in this dialog. See Configuring Plugins for general information about configuration.

Options

Internet Connection Settings
Specify the type of your connection to the Internet and the protocol which is used to obtain data from the ALTAP server. Click on the Change button to see all types in the CheckVer Internet Connection Settings dialog box.
Open Check for New Versions window on Altap Salamander start
Choose the period for automatic checking for newer versions (never, every day, every week, every month, every three months, or every six months).
When Check for New Versions window is opened, hide it and perform auto-connect
When checked, the plugin automatically connects to the ALTAP server and gets information about newer versions. Otherwise you must click on the Check Now button in the Check For New Versions window to start checking.
Close window if no new version is found, otherwise show window
When checked, the plugin is quiet until it finds some newer versions. If some new versions are available, it shows the Check For New Versions window with found updates. When not checked, you must close the Check For New Versions window manually every time using the Close button.
Filters
The Filters listbox contains versions of modules which are not interesting for you and should be filtered (ignored). You can add all versions of module (if no version is specified) or just one version of module (other versions will not be filtered). To add one or all versions of module to this list, right click the module name in the Log window in the Check For New Versions window when it displays the list of newer versions (results of checking).
Remove Selected Item From Filters
Click this button to remove selected item (one or all versions of module) from Filters listbox. Such item will not be filtered any longer.
Check for release versions of Altap Salamander and plugins
When checked, you are interested in new release versions. Otherwise new release versions are ignored.
Check for beta versions of Altap Salamander and plugins
When checked, you are interested in new beta versions. Otherwise new beta versions are ignored.
Check for preview build versions of Altap Salamander and plugins
When checked, you are interested in new preview build versions. Otherwise new preview build versions are ignored.
Set defaults
Choose this button to set defaults in this dialog (it depends on selected type of the connection to the Internet).
© 2001-2019 ALTAP. All rights reserved.


CheckVer Internet Connection Settings dialog box

Altap Salamander: Plugins: Check Version: Dialog Boxes

CheckVer Internet Connection Settings

Use this dialog to specify the type of your connection to the Internet and the protocol which is used to obtain data from the ALTAP server.

Options

How do you connect to the Internet
Specify your type of connection to the Internet. Use the option local area network (LAN) for all permanent types of connections (ADSL, wifi, etc.).
Internet protocol
Choose the internet protocol used to download information from the ALTAP server. HTTP is almost always available. If not, use FTP or FTP in passive transfer mode. We recommend to use HTTP protocol because it allows to send version number of your Altap Salamander to our server and so it is the only way how to get information about updated or new plugins.
© 2001-2019 ALTAP. All rights reserved.